Bug 87150 - Update port: games/bzflag to 2.0.4
Update port: games/bzflag to 2.0.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 05:40 UTC by chuck
Modified: 2005-10-16 05:01 UTC (History)
0 users

See Also:


Attachments
file.diff (2.83 KB, patch)
2005-10-09 05:40 UTC, chuck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chuck 2005-10-09 05:40:11 UTC
Update bzflag port to latest version, 2.0.4.

How-To-Repeat: 
N/A.
Comment 1 Andrej Zverev freebsd_committer 2005-10-09 08:47:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->az

I'll take it.
Comment 2 Andrej Zverev freebsd_committer 2005-10-10 11:23:22 UTC
This port install extra files not listed in pkg-plist,
could you check this ?

list of extra files and directories in / (not present before this port was  
installed but present
after it was deinstalled)
494624        4 -r--r--r--    1 root             wheel                 797  
Oct 10 10:14 usr/local/
include/PyBZDB.h
494628        4 -r--r--r--    1 root             wheel                1706  
Oct 10 10:14 usr/local/
include/PyBZFlag.h
494630        4 -r--r--r--    1 root             wheel                 806  
Oct 10 10:14 usr/local/
include/PyEvent.h
494631        4 -r--r--r--    1 root             wheel                1541  
Oct 10 10:14 usr/local/
include/PyEvents.h
494632        4 -r--r--r--    1 root             wheel                 839  
Oct 10 10:14 usr/local/
include/PyPlayer.h
494633        4 -r--r--r--    1 root             wheel                 802  
Oct 10 10:14 usr/local/
include/PyTeam.h
494634        4 -r--r--r--    1 root             wheel                 918  
Oct 10 10:14 usr/local/
include/PyWorldBox.h
494603       20 -rwxr-xr-x    1 root             wheel               10185  
Oct 10 10:14 usr/local/
lib/RogueGenocide.so
494605        4 -rwxr-xr-x    1 root             wheel                 883  
Oct 10 10:14 usr/local/
lib/RogueGenocide.la
494609       16 -rw-r--r--    1 root             wheel                6532  
Oct 10 10:14 usr/local/
lib/RogueGenocide.a
494610       12 -rwxr-xr-x    1 root             wheel                5321  
Oct 10 10:14 usr/local/
lib/SAMPLE_PLUGIN.so
494611        4 -rwxr-xr-x    1 root             wheel                 883  
Oct 10 10:14 usr/local/
lib/SAMPLE_PLUGIN.la
494613        4 -rw-r--r--    1 root             wheel                1498  
Oct 10 10:14 usr/local/
lib/SAMPLE_PLUGIN.a
494614       20 -rwxr-xr-x    1 root             wheel                8801  
Oct 10 10:14 usr/local/
lib/airspawn.so
494615        4 -rwxr-xr-x    1 root             wheel                 848  
Oct 10 10:14 usr/local/
lib/airspawn.la
494617       12 -rw-r--r--    1 root             wheel                5314  
Oct 10 10:14 usr/local/
lib/airspawn.a
494618       88 -rwxr-xr-x    1 root             wheel               43782  
Oct 10 10:14 usr/local/
lib/chathistory.so
494619        4 -rwxr-xr-x    1 root             wheel                 869  
Oct 10 10:14 usr/local/
lib/chathistory.la
494621       96 -rw-r--r--    1 root             wheel               49138  
Oct 10 10:14 usr/local/
lib/chathistory.a
494622       20 -rwxr-xr-x    1 root             wheel                8602  
Oct 10 10:14 usr/local/
lib/hiddenAdmin.so
494623        4 -rwxr-xr-x    1 root             wheel                 869  
Oct 10 10:14 usr/local/
lib/hiddenAdmin.la
494625       12 -rw-r--r--    1 root             wheel                5140  
Oct 10 10:14 usr/local/
lib/hiddenAdmin.a
494626       24 -rwxr-xr-x    1 root             wheel               10787  
Oct 10 10:14 usr/local/
lib/killall.so
494627        4 -rwxr-xr-x    1 root             wheel                 841  
Oct 10 10:14 usr/local/
lib/killall.la
494629       16 -rw-r--r--    1 root             wheel                6758  
Oct 10 10:14 usr/local/
lib/killall.a
494607       64 -rwxr-xr-x    1 root             wheel               32253  
Oct 10 10:14 usr/local/
lib/playHistoryTracker.so
494612        4 -rwxr-xr-x    1 root             wheel                 918  
Oct 10 10:14 usr/local/
lib/playHistoryTracker.la
494620       68 -rw-r--r--    1 root             wheel               32886  
Oct 10 10:14 usr/local/
lib/playHistoryTracker.a
494635       20 -rwxr-xr-x    1 root             wheel               10158  
Oct 10 10:14 usr/local/
lib/shockwaveDeath.so
494636        4 -rwxr-xr-x    1 root             wheel                 890  
Oct 10 10:14 usr/local/
lib/shockwaveDeath.la
494638       16 -rw-r--r--    1 root             wheel                6718  
Oct 10 10:14 usr/local/
lib/shockwaveDeath.a
494639      200 -rwxr-xr-x    1 root             wheel              101701  
Oct 10 10:14 usr/local/
lib/vocaliser.so
494640        4 -rwxr-xr-x    1 root             wheel                 855  
Oct 10 10:14 usr/local/
lib/vocaliser.la
494642      248 -rw-r--r--    1 root             wheel              125128  
Oct 10 10:14 usr/local/
lib/vocaliser.a
Comment 3 Andrej Zverev freebsd_committer 2005-10-10 11:27:42 UTC
State Changed
From-To: open->feedback

Not all files listed in pkg-plist
Comment 4 chuck 2005-10-11 17:59:17 UTC
Andrej Zverev wrote:
> This port install extra files not listed in pkg-plist,
> could you check this ?

Yes, I will-- sorry about that.  :-)  When I get the pkg-plist fixed, you want 
me to update the PR with a second diff...?

-- 
-Chuck
Comment 5 chuck 2005-10-11 19:15:58 UTC
I've resubmitted the complete diff, since I added "USE_LIBTOOL_VER=15" to make 
portlint happy about including .la files in the pkg-plist.  I also sorted the 
USE_ options alphabetically.  Thanks...

diff -dur bzflag_old/Makefile bzflag/Makefile
--- bzflag_old/Makefile	Sat Oct  8 22:55:52 2005
+++ bzflag/Makefile	Tue Oct 11 14:09:16 2005
@@ -6,11 +6,11 @@
  #

  PORTNAME=	bzflag
-PORTVERSION=	2.0.2
+PORTVERSION=	2.0.4
  CATEGORIES=	games
  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
  MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=	${PORTNAME}-${PORTVERSION}.20050318
+DISTNAME=	${PORTNAME}-${PORTVERSION}.20050930

  MAINTAINER=	chuck@pkix.net
  COMMENT=	A multiplayer 3D tank battle game
@@ -18,11 +18,13 @@
  LIB_DEPENDS=	curl.3:${PORTSDIR}/ftp/curl

  USE_BZIP2=	yes
-USE_SDL=	yes
  USE_GL=		yes
-USE_REINPLACE=	yes
  USE_GMAKE=	yes
+USE_LIBTOOL_VER=15
  USE_PERL5_BUILD=yes
+USE_REINPLACE=	yes
+USE_SDL=	yes
+
  GNU_CONFIGURE=	yes
  CONFIGURE_ENV=	CPPFLAGS="${PTHREAD_CFLAGS}" LDFLAGS="${PTHREAD_LIBS}"
  MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
Only in bzflag_old: Makefile.orig
diff -dur bzflag_old/distinfo bzflag/distinfo
--- bzflag_old/distinfo	Sat Oct  8 22:55:52 2005
+++ bzflag/distinfo	Sat Oct  8 22:58:59 2005
@@ -1,2 +1,2 @@
-MD5 (bzflag-2.0.2.20050318.tar.bz2) = d4a72c6e85299fb72d5e8ab7450b31c3
-SIZE (bzflag-2.0.2.20050318.tar.bz2) = 8485296
+MD5 (bzflag-2.0.4.20050930.tar.bz2) = b91444c788996902b799f9b64efddd8f
+SIZE (bzflag-2.0.4.20050930.tar.bz2) = 11251394
diff -dur bzflag_old/pkg-plist bzflag/pkg-plist
--- bzflag_old/pkg-plist	Sat Oct  8 22:55:52 2005
+++ bzflag/pkg-plist	Tue Oct 11 13:13:57 2005
@@ -1,10 +1,46 @@
  bin/bzadmin
  bin/bzflag
  bin/bzfs
-%%DATADIR%%/blade.png
+include/PyWorldBox.h
+include/PyTeam.h
+include/PyPlayer.h
+include/PyEvents.h
+include/PyEvent.h
+include/PyBZFlag.h
+include/PyBZDB.h
+lib/SAMPLE_PLUGIN.so
+lib/SAMPLE_PLUGIN.la
+lib/SAMPLE_PLUGIN.a
+lib/RogueGenocide.so
+lib/RogueGenocide.la
+lib/RogueGenocide.a
+lib/airspawn.so
+lib/airspawn.la
+lib/airspawn.a
+lib/chathistory.so
+lib/chathistory.la
+lib/chathistory.a
+lib/hiddenAdmin.so
+lib/hiddenAdmin.la
+lib/hiddenAdmin.a
+lib/killall.so
+lib/killall.la
+lib/killall.a
+lib/playHistoryTracker.so
+lib/playHistoryTracker.la
+lib/playHistoryTracker.a
+lib/shockwaveDeath.so
+lib/shockwaveDeath.la
+lib/shockwaveDeath.a
+lib/vocaliser.so
+lib/vocaliser.la
+lib/vocaliser.a
+%%DATADIR%%/automatic_icon.png
+%%DATADIR%%/blend_flash.png
  %%DATADIR%%/blue_basetop.png
  %%DATADIR%%/blue_basewall.png
  %%DATADIR%%/blue_bolt.png
+%%DATADIR%%/blue_icon.png
  %%DATADIR%%/blue_laser.png
  %%DATADIR%%/blue_super_bolt.png
  %%DATADIR%%/blue_tank.png
@@ -18,6 +54,7 @@
  %%DATADIR%%/bzflag-48x48.png
  %%DATADIR%%/caution.png
  %%DATADIR%%/clouds.png
+%%DATADIR%%/dusty_flare.png
  %%DATADIR%%/explode1.png
  %%DATADIR%%/explode2.png
  %%DATADIR%%/explosion.wav
@@ -76,6 +113,7 @@
  %%DATADIR%%/green_basetop.png
  %%DATADIR%%/green_basewall.png
  %%DATADIR%%/green_bolt.png
+%%DATADIR%%/green_icon.png
  %%DATADIR%%/green_laser.png
  %%DATADIR%%/green_super_bolt.png
  %%DATADIR%%/green_tank.png
@@ -114,12 +152,14 @@
  %%DATADIR%%/mountain1.png
  %%DATADIR%%/mountain2.png
  %%DATADIR%%/mountain3.png
+%%DATADIR%%/observer_icon.png
  %%DATADIR%%/phantom.wav
  %%DATADIR%%/pop.wav
  %%DATADIR%%/puddle.png
  %%DATADIR%%/purple_basetop.png
  %%DATADIR%%/purple_basewall.png
  %%DATADIR%%/purple_bolt.png
+%%DATADIR%%/purple_icon.png
  %%DATADIR%%/purple_laser.png
  %%DATADIR%%/purple_super_bolt.png
  %%DATADIR%%/purple_tank.png
@@ -133,17 +173,23 @@
  %%DATADIR%%/red_basetop.png
  %%DATADIR%%/red_basewall.png
  %%DATADIR%%/red_bolt.png
+%%DATADIR%%/red_icon.png
  %%DATADIR%%/red_laser.png
  %%DATADIR%%/red_super_bolt.png
  %%DATADIR%%/red_tank.png
  %%DATADIR%%/ricochet.wav
  %%DATADIR%%/rogue_bolt.png
+%%DATADIR%%/rogue_icon.png
  %%DATADIR%%/rogue_laser.png
  %%DATADIR%%/rogue_super_bolt.png
  %%DATADIR%%/rogue_tank.png
  %%DATADIR%%/roof.png
  %%DATADIR%%/shock.wav
  %%DATADIR%%/snowflake.png
+%%DATADIR%%/spree1.wav
+%%DATADIR%%/spree2.wav
+%%DATADIR%%/spree3.wav
+%%DATADIR%%/spree4.wav
  %%DATADIR%%/std_ground.png
  %%DATADIR%%/steamroller.wav
  %%DATADIR%%/teamgrab.wav
Comment 6 Andrej Zverev freebsd_committer 2005-10-14 07:03:01 UTC
Responsible Changed
From-To: az->freebsd-ports-bugs

Back to spool, ENOTIME now :(
Comment 7 Edwin Groothuis freebsd_committer 2005-10-16 04:59:25 UTC
State Changed
From-To: feedback->closed

Commited, thanks! 

On my systsem it didn't install the .la and .a files. I've disabled 
them for now and we'll let pointyhat decide what is right.